package com.autocareai.mvvmdemo.common.view

import android.widget.Toast
import androidx.annotation.StringRes
import com.autocareai.lib.lifecycle.extension.post
import com.autocareai.lib.lifecycle.livedata.SingleLiveEvent
import com.autocareai.lib.lifecycle.viewmodel.LibBaseViewModel
import com.autocareai.lib.util.ResourcesUtil

/**
 * <pre>
 *     author : Taylor Zhang
 *     time   : 2020/06/24
 *     desc   : 生命周期ViewModel基类
 *     version: 1.0.0
 * </pre>
 */
open class BaseViewModel : LibBaseViewModel() {

    /**
     * 显示toast，时长为[Toast.LENGTH_SHORT]
     */
    val shortToastEvent = SingleLiveEvent<CharSequence>()

    /**
     * 显示toast，时长为[Toast.LENGTH_SHORT]
     *
     * @param msg toast文本
     */
    protected fun shortToast(msg: CharSequence) {
        shortToastEvent.post(msg)
    }

    /**
     * 显示toast，时长为[Toast.LENGTH_SHORT]
     *
     * @param id toast文本资源id
     */
    protected fun shortToast(@StringRes id: Int) {
        shortToastEvent.post(ResourcesUtil.getString(id))
    }
}