package com.autocareai.mvvmdemo.demo

import com.autocareai.lib.application.LibApplication
import com.autocareai.lib.route.RouteUtil
import com.autocareai.lib.util.LogUtil
import com.autocareai.mvvmdemo.BuildConfig
import com.autocareai.mvvmdemo.common.tool.HttpTool

/**
 * <pre>
 *     author : Taylor Zhang
 *     time   : 2020/06/24
 *     desc   : Application
 *     version: 1.0.0
 * </pre>
 */
class Application : LibApplication() {

    override fun isRelease(): Boolean {
        // 初始化日志框架
        LogUtil.init()

        HttpTool.init()

        // 初始化路由框架
        RouteUtil.init(this, BuildConfig.DEBUG)

        return false
    }
}