package com.autocareai.mvvmdemo.demo.api

import com.autocareai.lib.net.HttpUtil
import com.autocareai.lib.net.observable.HttpObservable
import com.autocareai.mvvmdemo.common.http.asResponse
import com.autocareai.mvvmdemo.common.http.asResponseList
import com.autocareai.mvvmdemo.demo.enity.ListEntity
import com.autocareai.mvvmdemo.demo.enity.UserEntity

/**
 * <pre>
 *     author : Taylor Zhang
 *     time   : 2020/06/24
 *     desc   : Demo网络请求接口
 *     version: 1.0.0
 * </pre>
 */
object DemoApi {

    // TODO: 2020/6/28 Api类中不需要定义网络请求路径常量，在实际项目中直接在方法中以ApiVersion.version + 路径即可

    /**
     * 登录
     *
     * @param phone 手机号
     * @param password 密码
     */
    fun login(phone: String, password: String): HttpObservable<UserEntity> {
        return HttpUtil.postForm("user/login")
                .param("username", phone)
                .param("password", password)
                .asResponse()
    }

    /**
     * 获取常用网站
     */
    fun getPopularWebsites(): HttpObservable<ArrayList<ListEntity>> {
        return HttpUtil.get("friend/json")
                .asResponseList()
    }
}