package com.autocareai.mvvmdemo.demo.list

import android.os.Bundle
import androidx.lifecycle.Observer
import androidx.recyclerview.widget.LinearLayoutManager
import com.autocareai.lib.route.Route
import com.autocareai.mvvmdemo.R
import com.autocareai.mvvmdemo.common.view.BaseLifecycleActivity
import com.autocareai.mvvmdemo.demo.route.DemoRoute
import kotlinx.android.synthetic.main.list_activity.*

/**
 * <pre>
 *     author : louis wang
 *     time   : 2020/06/28
 *     desc   :
 *     version: 1.0
 * </pre>
 */
@Route(path = DemoRoute.DEMO_LIST)
class ListActivity : BaseLifecycleActivity<ListViewModel>() {

    private val adapter by lazy { ListAdapter() }

    override fun getLayoutId(): Int = R.layout.list_activity

    override fun getViewModelClass(): Class<ListViewModel> = ListViewModel::class.java

    override fun initView(savedInstanceState: Bundle?) {
        swipeRefresh.setOnRefreshListener { loadDataOnCreate() }
        recycleView.layoutManager = LinearLayoutManager(this)
        recycleView.adapter = adapter
    }

    override fun initLifecycleObserver() {
        mViewModel.listDataEvent.observe(this, Observer {
            swipeRefresh.isRefreshing = false
            adapter.setNewData(it)
        })
    }

    override fun loadDataOnCreate() {
        mViewModel.getPopularWebsites(this)
    }

}